[Ubuntu 12.04] Instalacja PostgreSQL 9.3

postgres-java-logo

Aby zainstalować PostgreSQL w wersji 9.3 w Ubuntu 12.04, otwórz terminal i dodaj repozytorium:

sudo su -c "echo 'deb http://apt.postgresql.org/pub/repos/apt/ precise-pgdg main' > /etc/apt/sources.list.d/pgdg.list"

Dodaj klucz GPG:

wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | sudo apt-key add -

Zaktualizuj listę pakietów:

[Apache/PHP] Instalacja modułu mCrypt

php_logomCrypt to biblioteka PHP, która zapewnia wsparcie dla wielu popularnych algorytmów kryptograficznych. Wiele systemów informatycznych (systemy CMS czy CRM) wymaga jej do prawidłowego działania np. Fennec CMS.

Instalacja biblioteki mCrypt w Ubuntu sprowadza się do wykonania trzech poleceń:

  1. Zainstaluj pakiet php5-mcrypt:
    sudo apt-get install php5-mcrypt
  2. Aktywuj zainstalowany moduł:

Ubuntu 15.04 Vivid Vervet – instalacja krok po kroku

vivid-vervet

Na dzień dzisiejszy zaplanowana jest premiera Ubuntu 15.04 Vivid Vervet. W tym poradniku przedstawię krok po kroku, proces instalacji najnowszej wersji systemu.

Co będzie potrzebne?

  • płyta bądź pendrive z nagranym obrazem systemu – niezbędne materiały znajdziesz na stronie domowej Ubuntu – www.ubuntu.com/download/desktop,
  • wydzielona przestrzeń na dysku twardym,
  • 30 minut czasu.

Partycje

W tym poradniku cały system zostanie zainstalowany na jednej partycji /. O partycjonowaniu możesz poczytać tutaj – pamiętając, że teraz tworzymy partycje ext4 z księgowaniem.

Ponadto

Warto wydzielić już trzy partycje:

  • pierwszą partycję pod katalog główny /,
  • drugą (opcjonalnie) partycję pod katalog /home.
  • trzecią partycję na przestrzeń wymiany (SWAP),

Jednak nie jest to konieczne – zrobimy to sami podczas instalacji.

[Ubuntu 12.04] Instalacja klienta Subversion w wersji 1.8

8469610561_79347bc648_z

W tym poradniku przedstawię sposób instalacji klienta Subversion w wersji 1.8 dla Ubuntu 12.04.

Oficjalne repozytorium Subversion przewiduje dla Ubuntu 12.04 jedynie wersję 1.6.X, stąd użytkownicy korzystający z nowszej wersji na swoim serwerze, mogą napotkać na problem np. podczas aktualizacji repozytorium:

This client is too old to work with working copy

Na szczęście powstały liczne nieoficjalne repozytoria, które pozwalają na załatanie tej dziury.

Instalacja